### Function

# Dex file_copy

#### Declaration [src]

    DexFuture*
    dex_file_copy (
      GFile* source,
      GFile* destination,
      GFileCopyFlags flags,
      int io_priority
    )

#### Description [src]

Asynchronously copies a file and returns a `DexFuture` which can be observed for the result.

#### Parameters

`source`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the function.

`destination`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the function.

`flags`

  Type: `GFileCopyFlags`

  The `GFileCopyFlags`.

`io_priority`

  Type: `int`

  IO priority such as `G_PRIORITY_DEFAULT`.

#### Return value

Type: `DexFuture`

A `DexFuture`.

The caller of the function takes ownership of the data, and is responsible for freeing it.